### Method

# Gtk Bitsetadd_rectangle

#### Declaration [src]

    void
    gtk_bitset_add_rectangle (
      GtkBitset* self,
      guint start,
      guint width,
      guint height,
      guint stride
    )

#### Description [src]

Interprets the values as a 2-dimensional boolean grid with the given `stride` and inside that grid, adds a rectangle with the given `width` and `height`.

#### Parameters

`start`

  Type: `guint`

  First value to add.

`width`

  Type: `guint`

  Width of the rectangle.

`height`

  Type: `guint`

  Height of the rectangle.

`stride`

  Type: `guint`

  Row stride of the grid.